Bug 47807 - EDITING: Undo button not active for style change
Summary: EDITING: Undo button not active for style change
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, regression
: 77325 88921 90425 (view as bug list)
Depends on:
Blocks: Styles Undo-Redo
  Show dependency treegraph
 
Reported: 2012-03-24 09:00 UTC by skiani
Modified: 2018-10-30 21:25 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description skiani 2012-03-24 09:00:43 UTC
This report is both a bug(s) and an enhancement request. The basic bug:

If you change a style from from the style editor any change you make can not be undone by the icons. Steps:

1. Create a blank writer document.
2. Modify a child style (for example Footer) by making any change (for example change the font to 20pt).
3. Select "Apply".
4. Go to the "Organizer" tab of the dialog and notice that "Contains" field is blank (THIS IS BUG #1, which I can confirm on WinXP32 right now). As the "Apply" button is new to LO3.5 I don't think I would call that a regression.
5. Now select "OK" or "Cancel".
6. Modify that child style again (i.e. Footer).
7. Go to the "Organizer" tab. Note that "Contains" field has the change(s) you made (i.e. 20pt font size).
8. Close the dialog selecting "Cancel"
9. Note that the undo icon does not have record of this change (THIS IS BUG #2).
10. Go to the "Edit" menu and select "Undo: Change style: Footer". This will reset the style change that was made, which is correct functionality (fixed from LO3.4).

If you have a style that has been changed from the parent there does not, AFAICT, appear to be a method to revert back to parent (other than undo which does not help you if editing an previously saved document). If I say have in the past changed the font size of Footer to 20PT and Default is 12PT there is no way to relink the font size back to the the "Linked with". I can manually change back to 12PT it does not reestablish the link. So this is the ENHANCEMENT request (there maybe better implementations but here is one example):

Next to every items in the "Contains" field have a "x" in a circle that you could click on it to reset that items link back to the parent in the organization. For example it would read:

"(x)Western text: 20pt + (x)0.0 inch + (x)Indent left 0.2inch, First line..." whereever (x) is an "x" in a circle and if you click on it that link is reset back to parent and item is removed from the list.

An alternative implementation is to program item level resets for each item on all the tabs (this seems like more coding to me).
Comment 1 sasha.libreoffice 2012-06-18 05:42:10 UTC
Thanks for bugreport and new idea

Bug slightly resembles this:
Bug 47379 - Inserting then editing a footnote gives unwanted results if Apply is selected before OK
May be they have one source.

Idea:
> Next to every items in the "Contains" field have a "x" in a circle
Is very interesting. Or do all records clicable and context menu with item "Delete".
Or/and highlight corresponding places in all another tabs for users can easily see which changes applied to style.
Comment 2 Cor Nouws 2013-08-23 08:01:16 UTC
Hi skiani,

Is set this for new for the Undo part.
I noticed that somewhere in between 3.5 and 4.0 things changed.
When I change the font of a style in 3.5 and hit Ctrl-Z afterwards, I have the original font back.
Not so in 4.xx

Have to find out where that regression started.

Also, from your report, I understand that some changes react on undo and others do not..?

For the feature request: I think that chosing Reset or Standard on a cetain tab, bings bakc the default for that tabs settings, including the link to the parent style. Seldom use it. Coudl you pls do some checks here :)

thanks a lot,
Cor
Comment 3 Michael Stahl (CIB) 2013-08-29 12:56:44 UTC
cannot reproduce the problem in comment #2, works fine here:

1. enter text and select
2. open stylist
3. apply "Footer" para style
4. modify "Footer"
5. change Font, OK
6. Undo
7. modify "Footer", old font is back (also in document view)

btw this appears to be a different problem (no Undo on OK/Apply)
than what is in the description,
so even if i'm doing it wrong please open a new bug for that.


regarding description:

> 8. Close the dialog selecting "Cancel"
> 9. Note that the undo icon does not have record of this change (THIS IS BUG #2).

of course if you cancel the dialog then no changes are made,
so why do you expect an Undo action for that?
Undo should only be created on clicking Apply or OK, which is working.

> 2. Modify a child style (for example Footer) by making any change (for example change the font to 20pt).
> 3. Select "Apply".
> 4. Go to the "Organizer" tab of the dialog and notice that "Contains" field is blank (THIS IS BUG #1, which I can confirm on WinXP32 right now).

so the Organizer tab is updated right when changing the Font, before
clicking "Apply" (i.e. it apparently displays the content of the dialog,
not the current content of the style), but clicking "Apply" appears
to clear it.

agree it's not a regression if older versions have no "Apply" button.
Comment 4 Cor Nouws 2013-08-29 15:44:52 UTC
(In reply to comment #3)
> cannot reproduce the problem in comment #2, works fine here:
> 
> 3. apply "Footer" para style
> [...]
> 7. modify "Footer", old font is back (also in document view)
> [...]

It seems it works fine indeed _except_ for Text body (4.0.5.2 / 4.1.1.2)
Stupid I did not notice that.
Comment 5 Cédric Bosdonnat 2014-01-20 08:57:27 UTC
Restricted my LibreOffice hacking area
Comment 6 Joel Madero 2015-05-02 15:43:12 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2015-06-21 10:53:51 UTC
(In reply to skiani from comment #0)
> This report is both a bug(s) and an enhancement request. The basic bug:
> 
> If you change a style from from the style editor any change you make can not
> be undone by the icons. Steps:
> 
> 1. Create a blank writer document.
> 2. Modify a child style (for example Footer) by making any change (for
> example change the font to 20pt).
> 3. Select "Apply".
> 4. Go to the "Organizer" tab of the dialog and notice that "Contains" field
> is blank (THIS IS BUG #1, which I can confirm on WinXP32 right now). As the
> "Apply" button is new to LO3.5 I don't think I would call that a regression.

Contains was not blank after Apply. Tried with Text body, too.

> 5. Now select "OK" or "Cancel".
> 6. Modify that child style again (i.e. Footer).
> 7. Go to the "Organizer" tab. Note that "Contains" field has the change(s)
> you made (i.e. 20pt font size).
> 8. Close the dialog selecting "Cancel"
> 9. Note that the undo icon does not have record of this change (THIS IS BUG
> #2).
> 10. Go to the "Edit" menu and select "Undo: Change style: Footer". This will
> reset the style change that was made, which is correct functionality (fixed
> from LO3.4).

Confirmed undo button, adjusted summary, priority and severity.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 8 QA Administrators 2016-09-20 10:10:13 UTC Comment hidden (obsolete)
Comment 9 Xisco Faulí 2018-06-25 20:06:19 UTC
Still reproducible in

Version: 6.2.0.0.alpha0+
Build ID: dbfa1c452fd9d02330cb3ec5bf2fd4f2c7782d1a
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

but not in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

nor in

Apache OpenOffice 4.1.3
Comment 11 Thomas Lendo 2018-10-30 21:18:07 UTC
*** Bug 88921 has been marked as a duplicate of this bug. ***
Comment 12 Thomas Lendo 2018-10-30 21:19:36 UTC
*** Bug 77325 has been marked as a duplicate of this bug. ***
Comment 13 Thomas Lendo 2018-10-30 21:23:59 UTC
Andreas B. 2016-11-18 21:20:16 CET, from bug 88921:

In my Opinion this is a Bug, because it's working sometimes.

I list here, what is working and what not. If there would be nothing working, I would say it's an enhancement, but with this list, I would say its a Bug.
(I didn't test every setting, this is only an Overview)
I changed the importance to "normal"

Working:
 Calc:
  Change name of a Style
  Changing Parent
  Change Font
  Change Font Effects
  Aligment
  Border
  Background
  Cell Protection
 Draw:
  Nothing found, not all Tested
 Writer:
  Change highlighter Color
  Indents and Spacing
  Alignment
  Text Flow
  Font
  Font effects
  Position
  Outline and Numbering
  Gradient
  Transparency
  Border

Not Working:
 Calc:
  Tab "Numbers" changing
 Draw:
  Background
  Line
  Change name of a Style
  Change Parent of a Style
  Font
  Transparency
 Writer:
  Change name of a Style
Comment 14 Thomas Lendo 2018-10-30 21:25:36 UTC
*** Bug 90425 has been marked as a duplicate of this bug. ***